\documentclass[11pt,answers]{../../examjh}
% \documentclass[11pt,noanswers]{../../examjh}
\usepackage{jh,bm}
% \usepackage{amsmath}
\newcommand{\colvec}[1]{\begin{pmatrix} #1 \end{pmatrix}}


\examhead{MA 211 Hef{}feron, \yearsemester}{Final Exam}

\newcommand{\dotprod}{\mathbin{\raisebox{.15ex}{$\scriptscriptstyle\stackrel{\bullet}{}$}}}
\renewcommand{\vec}[1]{\mathbf{#1}}


\begin{document}

\noindent
For the questions that ask for a numerical answer, you should give the answer
in symbolic terms, as in $3\pi$ or $5\sqrt{7/3}$.
You can also give the answer as a decimal but you must include the
symbolic version.



\begin{questions}

\question
Compute each.
\begin{parts}
\part
This cross product.
\begin{equation*}
  \begin{pmatrix}
    2 \\ 3 \\ -1
  \end{pmatrix}
  \times
  \begin{pmatrix}
    0 \\ -1 \\ 1
  \end{pmatrix}
\end{equation*}
\begin{solution}
  The cross product is this.
  \begin{equation*}
    \colvec{2 \\ -2 \\ -2}
  \end{equation*}
\end{solution}
% sage: v = vector(RR, [2, 3, -1])
% sage: w = vector(RR, [0, -1, 1])
% sage: v.cross_product(w)
% (2.00000000000000, -2.00000000000000, -2.00000000000000)

% \part
% Find $\partial f/\partial x$ and $\partial f/\partial y$ where
% $f(x,y)=3x^2y-2e^x\cos y$.
% \begin{solution}
% $\partial f/\partial x=6xy-2e^x\cos y$
% and
% $\partial f/\partial y=3x^2+2e^x\sin y$
% \end{solution}

\part
Find the vector projection of $\vec{b}$ onto $\vec{a}$.
\begin{equation*}
  \vec{a}=
   \begin{pmatrix}
    2 \\ 3 \\ -1
  \end{pmatrix}
  \quad
  \vec{b}=
  \begin{pmatrix}
    0 \\ -1 \\ 1
  \end{pmatrix}
\end{equation*}
\begin{solution}
The equation for the projection of $\vec{b}$ onto $\vec{a}$ gives this.
\begin{equation*}
   (\frac{\vec{a}\dotprod\vec{b}}{|\vec{a}|^2})\cdot \vec{a}
  =(\frac{-4}{14})\cdot\colvec{2 \\ 3 \\ -1}
\end{equation*}
\end{solution}


\part
Convert $(x,y,z)=(1,2,3)$ to cylindrical coordinates.
Also convert $(\rho,\theta,\phi)=(1,2,3)$ from spherical coordinates
to rectangular coordinates.
\begin{solution}
  For cylindrical coordinates,
  \begin{equation*}
    r^2=x^2+y^2
    \quad
    \theta=\arctan(y/x)
  \end{equation*}
  gives $(r,\theta,z)=(\sqrt{14},\arctan(2),3)$.
For spherical coordinates,
\begin{equation*}
  x=\rho\sin\phi\cos\theta
  \quad y=\rho\sin\phi\sin\theta
  \quad z=\rho\cos\phi
\end{equation*}
gives this.
\begin{equation*}
  x=\sin 3\cdot\cos 2
  \quad
  y=\sin 3\cdot \sin 2
  \quad
  z=\cos 3
\end{equation*}
\end{solution}
\end{parts}

\question
Consider the field 
$\mathbf{F}(x,y,z)=y^2z^3\mathbf{i}+2xyz^3\mathbf{j}+3xy^2z^2\mathbf{k}$.
Decide if it is conservative.
If so, find the potential function.
\begin{solution}
This is the potential function.
\begin{equation*}
  f(x,y,z)=xy^2z^3
\end{equation*}
\end{solution}

% sage: V = vector( [y^2*z^3, 2*x*y*z^3, 3*x*y^2*z^2] )
% sage: V.curl( [x,y,z] )
% (0, 0, 0)
% sage: V.div( [x,y,z] )
% 6*x*y^2*z + 2*x*z^3


\question
Find the equation of the plane tangent to the surface 
$z=x\,\sin(x+y)$ at the point $(-1,1,0)$.
\begin{solution}
The partial derivatives are 
$\partial z/\partial x=1\cdot\sin(x+y)+x\cos(x+y)$
and
$\partial z/\partial y=x\cos(x+y)$.
At the point of interest $(-1,1,0)$ we have this equation for the tangent plane.
\begin{equation*}
  z-0=-\cdot(x+1)-\cdot(y-1)
\end{equation*}
Simplifying gives $z=-x-y$.
\end{solution}

\question
Evaluate the line integral using Green's Theorem.
\begin{equation*}
  \oint_C y\,dx-x\,dy
\end{equation*}
The curve $C$ is the square starting at the origin and passing through the corners 
$(1,0)$, $(1,1)$, $(0,1)$, and back to the origin.
\begin{solution}
Green's Theorem is this.
\begin{equation*}
  \oint_C P\,dx+Q\,dy
  =\iint_D(\frac{\partial Q}{\partial x}-\frac{\partial P}{\partial y})\, dA
\end{equation*}
In this case $P(x,y)=y$ and $Q(x,y)=-x$.
Converting the line integral gives this.
\begin{multline*}
  \int_{x=0}^{1}\int_{y=0}^{1}(-1-1)\,dy\,dx
  =\int_{x=0}^{1}\int_{y=0}^{1}-2\,dy\,dx
  =\int_{x=0}^{1}[-2y]_{y=0}^1\,dx             \\
  =\int_{x=0}^{1}-2\,dx
  =[-2x]_{x=0}^1=-2
\end{multline*}
\end{solution}


\question
Compute $\int_C \mathbf{F}\dotprod d\mathbf{r}$
from these.
\begin{equation*}
  \mathbf{F}(x,y)=
  \begin{pmatrix}
    x^2 \\
    -xy
  \end{pmatrix}
  \qquad
  \mathbf{r}(t)=
  \begin{pmatrix}
    \cos t \\
    \sin t
  \end{pmatrix}
  \quad 0\leq t\leq \pi/2
\end{equation*}
\begin{solution}
We have this.
\begin{equation*}
  \int_C \vec{F}\dotprod d\vec{r}
  =\int_{t=a}^b \vec{F}(\vec{r}(t))\dotprod\vec{r}'(t)\,dt
\end{equation*}
Here we have
\begin{equation*}
  \vec{r}'(t)=\colvec{-\sin t \\ \cos t}
\end{equation*}
so we get this.
\begin{multline*}
  \int_C \vec{F}\dotprod d\vec{r}
  =\int_{t=0}^{\pi/2}\colvec{(\cos t)^2 \\ -\cos t\sin t}\dotprod\colvec{-\sin t \\ \cos t}  \,dt
  =\int_{t=0}^{\pi/2}  -2(\cos t)^2\sin t \,dt            \\
  =(2/3)\cdot[(\cos t)^3]_{t=0}^{\pi/2}
  =(2/3)\cdot [0-1]=-2/3 
\end{multline*}
\end{solution}



\question
Evaluate $\iint_R y^2x\, dA$ over the 
trianglar region with corners
$(2,0)$, $(0,1)$, and the origin.
\begin{solution}
Here is the $dy$ integral.
\begin{equation*}
  \int_{y=0}^1\,\int_{x=0}^{-2(y-1)} y^2x\,dx\,dy
\end{equation*}
To compute we have this.
\begin{multline*}
  \int_{y=0}^1\,\bigl[(1/2)y^2x^2\bigr]_0^{-2(y-1)} \,dy  
  =\int_{y=0}^1\,(1/2)y^2(-2(y-1))^2 \,dy  
  =\int_{y=0}^1\, 2y^2(y^2-2y+1) \,dy          \\
  =\int_{y=0}^1\, 2y^4-4y^3+2y^2 \,dy  
  =\bigl[(2/5)y^5-y^4+(2/3)y^3\bigr]_0^1
  =1/15   
\end{multline*}
\end{solution}

% \question
% Show that this limit does not exist.
% \begin{equation*}
%   \lim_{(x,y)\rightarrow (0,0)}\frac{xy}{x^2+y^2}
% \end{equation*}

\question
Sketch the surface $0=4x-3y^2-12z^2$.
\begin{solution}
It converts to $4x=3y^2+12z^2$.
The level curves $4k=3x^2+12z^2$ are ellipses; 
for instance on the plane $x=3$ this is the ellipse
$y^2/4+z^2/1=1$.
So it is a paraboloid centered about the $x$-axis.  
\end{solution}



% \question
% Consider the solid bounded by $z=y$, by $y=x^2$, by $y=4$, and by $z=0$.
% Set up, but do not solve, this integral.
% That is, give the limits of integration.
% \begin{equation*}
% \int\!\int\!\int x+y\,dx\,dz\,dy
% \end{equation*}


% \question
% Use polar coordinates to
% find the volume of the solid bounded by $z=0$ and  
% $z=1-x^2-y^2$.

% \question
% Consider the surface with parametric equations
% $x=u^2$, $y=v^2$, and $z=u+2v$.
% Find the tangent plane at the point $(1,1,3)$. 

\question
Find the curvature $\kappa$ of the curve described by this vector function.
\begin{equation*}
  \vec{r}(t)
  =\colvec{t \\ t^2/2 \\ t^3/3}
\end{equation*}
\begin{solution}
The formula is this.
\begin{equation*}
  \kappa=
  \frac{|\vec{r}'(t)\times\vec{r}''(t)|}{|\vec{r}'(t)|^3}
\end{equation*}
For the numerator
\begin{equation*}
  \vec{r}'=\colvec{1 \\ t \\ t^2}
  \qquad
  \vec{r}''=\colvec{0 \\ 1 \\ 2t}
\end{equation*}
we get this.
\begin{equation*}
  |\vec{r}'(t)\times\vec{r}''(t)|
  =|\colvec{t^2 \\ -2t \\ 1}|
  =\sqrt{t^4+4t^2+1}
\end{equation*}
Since $|\vec{r}'(t)=\sqrt{t^4+t^2+1}|$
this is the answer.
\begin{equation*}
  \kappa=\frac{\sqrt{t^4+4t^2+1}}{(t^4+t^2+1)^{3/2}}
\end{equation*}
\end{solution}



\question
Integrate $\int\!\int\!\int_E z \,dV$ where $E$ is the region in the first 
octant bounded by $x+y+z=1$.
\begin{solution}
Taking the slices $dz$ we have this.
\begin{equation*}
  \int_{z=0}^1\int_{x=0}^{1-z}\int_{y=0}^{1-x-z}z\,dy\,dx\,dz
\end{equation*}
Evaluating gives this. 
\begin{align*}
  &=\int_{z=0}^1\int_{x=0}^{1-z}z\bigl[y\bigr]_{y=0}^{1-x-z}\,dx\,dz  \\  
  &=\int_{z=0}^1\int_{x=0}^{1-z}z-xz-z^2\,dx\,dz         \\
  &=\int_{z=0}^1\bigl[zx-z(x^2/2)-z^2x\bigr]_{x=0}^{1-z}\,dz       \\
  &=\int_{z=0}^1 z(1-z)-z((1-z)^2/2)-z^2(1-z)\,dz      \\
  &=\int_{z=0}^1 z(1-z)-(1/2)z(z^2-2z+1)-z^2(1-z)\,dz      \\
  &=\int_{z=0}^1 z-z^2-(1/2)(z^3-2z^2+z)-(z^2-z^3)\,dz      \\
  &=\int_{z=0}^1 (1/2)z-z^2+(1/2)z^3\,dz      \\
  &=\bigl[(1/4)z^2-(1/3)z^3+(1/8)z^4\bigr]_0^1=1/24
\end{align*}
\end{solution}





\question
Where $f(x,y,z)=x\cdot \sin (yz)$,
find the gradient of $f$ and also find the directional derivative 
of $f$ at $(1,3,0)$ in the direction of $\vec{v}=\vec{i}+\vec{2j}-\vec{k}$.
\begin{solution}
The gradient is this.
\begin{equation*}
  \nabla f=
  \colvec{\sin yz \\ xz \cos yz \\ xy\cos yz} 
\end{equation*}
At $(1,3,0)$ we have $\nabla f=3\vec{k}$.
The unit vector in the direction of $\vec{v}$ is this.
\begin{equation*}
  \vec{u}=\frac{\vec{v}}{|\vec{v}|}
         =\frac{\vec{i}+2\vec{j}-\vec{k}}{\sqrt{6}}
\end{equation*}
For the answer, take the dot product.
\begin{equation*}
  D_{\vec{u}}=\colvec{0 \\ 0 \\ 3}\dotprod\colvec{1/\sqrt{6} \\ 2/\sqrt{6} \\ -1/\sqrt{6}}
     =-\sqrt{3/2}
\end{equation*}
\end{solution}



% \question
% What is the angle between these two vectors?
% \begin{equation*}
%   \begin{pmatrix}
%     -1 \\ 1 \\ 4
%   \end{pmatrix}
%   \quad
%   \begin{pmatrix}
%    1 \\ 2 \\ 0
%   \end{pmatrix}
% \end{equation*}


\end{questions}
\end{document}
